Bug 583628 - Add bindings for new libparted API to detect if a partition is a rescue partition
Add bindings for new libparted API to detect if a partition is a rescue parti...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pyparted (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On: 583626
Blocks: 534066
  Show dependency treegraph
 
Reported: 2010-04-19 05:24 EDT by Hans de Goede
Modified: 2010-04-27 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: pyparted-3.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 11:56:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PATCH: Add support for new PED_PARTITION_DIAG flag (1.35 KB, patch)
2010-04-19 08:14 EDT, Hans de Goede
no flags Details | Diff

  None (edit)
Description Hans de Goede 2010-04-19 05:24:10 EDT
For details see bug 534066 and bug 583626. Note that this first needs to be actually implemented in libparted, which is bug 583626.
Comment 1 Hans de Goede 2010-04-19 08:13:23 EDT
Assigning this to clumens, as discussed in bug 534066.

Here are 2 parted build which have the new API (a new PED_PARTITION_DIAG) flag.
And I'll attach a patch fixing this. As the latest upstream parted release does not yet have this, it may be an idea to add this as a package CVs patch for now, so as to not make upstream pyparted not working with the latest upstream parted release:
http://koji.fedoraproject.org/koji/buildinfo?buildID=167796
http://koji.fedoraproject.org/koji/buildinfo?buildID=167792
Comment 2 Hans de Goede 2010-04-19 08:14:08 EDT
Created attachment 407578 [details]
PATCH: Add support for new PED_PARTITION_DIAG flag
Comment 3 Chris Lumens 2010-04-21 11:56:08 EDT
Pushed complete with test cases, will rebuild shortly.
Comment 4 Fedora Update System 2010-04-21 17:46:36 EDT
pyparted-3.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pyparted-3.3-1.fc13
Comment 5 Fedora Update System 2010-04-27 01:46:43 EDT
pyparted-3.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.